/**
 * ActClinicalDocument.java
 *
 * File generated from the medication::ActClinicalDocument uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClinicalDocument.
 *
 * 
 */

@XmlType(name = "ActClinicalDocument")
@XmlEnum
@XmlRootElement(name = "ActClinicalDocument")
public enum ActClinicalDocument {
	@XmlEnumValue("DOCCLIN")
	DOCCLIN("DOCCLIN"),
	@XmlEnumValue("CDALVLONE")
	CDALVLONE("CDALVLONE");
	
	private final String value;

    ActClinicalDocument(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClinicalDocument fromValue(String v) {
        for (ActClinicalDocument c: ActClinicalDocument.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}